org.apache.cassandra.metrics

## Interface MetricNameFactory

All Known Implementing Classes:
  DefaultNameFactory

    public interface MetricNameFactory

### Method Summary

All Methods Instance Methods Abstract Methods
`CassandraMetricsRegistry.MetricName` `createMetricName(java.lang.String metricName)` Create a qualified name from given metric name.

### Method Detail

#### createMetricName

    CassandraMetricsRegistry.MetricName createMetricName(java.lang.String metricName)

Create a qualified name from given metric name.

Parameters:
  `metricName` - part of qualified name.
Returns:
  new String with given metric name.